Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors
Interface IErrorDescriptionTranslate

All Known Implementing Classes:
  ENLOCErrorDescriptionTranslate

    public interface IErrorDescriptionTranslate

Interfaz que debe cumplir un traductor de descripcion de error.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`java.lang.String` | `getAdaptedDescription(ENLOCErrorOut errorOut)` Devuelve la descripción por defecto con los parámetros de ENLOC
`java.lang.String` | `getTranslatedDescription(ENLOCErrorOut errorOut, java.lang.String translatedBaseDescription)` Devuelve la descripción traducida

Method Detail

### getTranslatedDescription

    java.lang.String getTranslatedDescription(ENLOCErrorOut errorOut,
                                              java.lang.String translatedBaseDescription)

  Devuelve la descripción traducida

  Parameters:
    `errorOut` - error sobre el que se traduce la descripción
    `translatedBaseDescription` - descripción traducida sin parámetros
  Returns:
    translatedDescription descripción traducida del error

### getAdaptedDescription

    java.lang.String getAdaptedDescription(ENLOCErrorOut errorOut)

  Devuelve la descripción por defecto con los parámetros de ENLOC

  Parameters:
    `errorOut` - error sobre el que se traduce la descripción
  Returns:
    adaptedDescription descripción adaptada al error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD